#!/usr/bin/perl -w

use Gnome2::ZvtTerm;
Gtk2->init;
use constant TRUE  => 1;
use constant FALSE => 0;

$window = Gtk2::Window->new;
$window->signal_connect (delete_event => sub {
	$term->closepty;
	Gtk2->main_quit;
	FALSE
});

$term = Gnome2::ZvtTerm->new_with_size (80, 24);
$vsb = Gtk2::VScrollbar->new ($term->adjustment);

$hbox = Gtk2::HBox->new;
$window->add ($hbox);
$hbox->pack_start ($term, TRUE, TRUE, 0);
$hbox->pack_start ($vsb, FALSE, FALSE, 0);

# fork a child to run in the terminal.
$pid = $term->forkpty (&ZVT_TERM_DO_LASTLOG);
if ($pid == 0) {
	$ENV{COLUMNS} = 80;
	$ENV{ROWS} = 24;
	$ENV{TERM} = 'xterm';
	#exec 'mutt';
	exec 'bash';
}
# destroy the window when the client exits.
$term->signal_connect (child_died => sub {
	$window->destroy;
	Gtk2->main_quit;
});
# keep the window title synchronized.
$term->signal_connect (title_changed => sub {
	my ($terminal, $title_type, $new_title) = @_;
	$window->set_title ($new_title);
});

#$term->signal_connect (realize => sub {
#	$term->set_size (80, 50);
#});
$window->set_default_size (800, 250);

$window->show_all;
Gtk2->main;
